Skip to main content
POST
/
v1
/
signatures
Create a signature
curl --request POST \
  --url https://api.scribe-mail.com/v1/signatures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signature": {
    "name": "<string>",
    "draft_content": {
      "id": "<string>",
      "visible": true,
      "type": "stack",
      "blockStyle": {
        "marginBottom": 123,
        "marginRight": 123,
        "marginLeft": 123,
        "marginTop": 123,
        "paddingLeft": 123,
        "paddingRight": 123,
        "paddingTop": 123,
        "paddingBottom": 123,
        "backgroundColor": "<string>",
        "gap": 123,
        "width": 123
      },
      "children": [
        {
          "id": "<string>",
          "visible": true,
          "type": "text",
          "blockStyle": {
            "marginBottom": 123,
            "marginRight": 123,
            "marginLeft": 123,
            "marginTop": 123,
            "paddingLeft": 123,
            "paddingRight": 123,
            "paddingTop": 123,
            "paddingBottom": 123,
            "backgroundColor": "<string>",
            "gap": 123,
            "width": 123
          },
          "tokens": [
            {
              "id": "<string>",
              "type": "textToken",
              "value": "<string>",
              "smartFieldUuid": "<string>",
              "textStyle": {
                "fontSize": 123,
                "color": "<string>",
                "lineHeight": 5
              },
              "href": {
                "text": "<string>",
                "smartFieldUuid": "<string>"
              }
            }
          ],
          "displayName": "<string>"
        }
      ],
      "displayName": "<string>"
    },
    "signature_installation_activated": true,
    "priority": 123,
    "folder_id": "<string>"
  }
}
'
import requests

url = "https://api.scribe-mail.com/v1/signatures"

payload = { "signature": {
"name": "<string>",
"draft_content": {
"id": "<string>",
"visible": True,
"type": "stack",
"blockStyle": {
"marginBottom": 123,
"marginRight": 123,
"marginLeft": 123,
"marginTop": 123,
"paddingLeft": 123,
"paddingRight": 123,
"paddingTop": 123,
"paddingBottom": 123,
"backgroundColor": "<string>",
"gap": 123,
"width": 123
},
"children": [
{
"id": "<string>",
"visible": True,
"type": "text",
"blockStyle": {
"marginBottom": 123,
"marginRight": 123,
"marginLeft": 123,
"marginTop": 123,
"paddingLeft": 123,
"paddingRight": 123,
"paddingTop": 123,
"paddingBottom": 123,
"backgroundColor": "<string>",
"gap": 123,
"width": 123
},
"tokens": [
{
"id": "<string>",
"type": "textToken",
"value": "<string>",
"smartFieldUuid": "<string>",
"textStyle": {
"fontSize": 123,
"color": "<string>",
"lineHeight": 5
},
"href": {
"text": "<string>",
"smartFieldUuid": "<string>"
}
}
],
"displayName": "<string>"
}
],
"displayName": "<string>"
},
"signature_installation_activated": True,
"priority": 123,
"folder_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signature: {
name: '<string>',
draft_content: {
id: '<string>',
visible: true,
type: 'stack',
blockStyle: {
marginBottom: 123,
marginRight: 123,
marginLeft: 123,
marginTop: 123,
paddingLeft: 123,
paddingRight: 123,
paddingTop: 123,
paddingBottom: 123,
backgroundColor: '<string>',
gap: 123,
width: 123
},
children: [
{
id: '<string>',
visible: true,
type: 'text',
blockStyle: {
marginBottom: 123,
marginRight: 123,
marginLeft: 123,
marginTop: 123,
paddingLeft: 123,
paddingRight: 123,
paddingTop: 123,
paddingBottom: 123,
backgroundColor: '<string>',
gap: 123,
width: 123
},
tokens: [
{
id: '<string>',
type: 'textToken',
value: '<string>',
smartFieldUuid: '<string>',
textStyle: {fontSize: 123, color: '<string>', lineHeight: 5},
href: {text: '<string>', smartFieldUuid: '<string>'}
}
],
displayName: '<string>'
}
],
displayName: '<string>'
},
signature_installation_activated: true,
priority: 123,
folder_id: '<string>'
}
})
};

fetch('https://api.scribe-mail.com/v1/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "draft_content": {},
    "content": {},
    "priority": 123,
    "signature_installation_activated": true,
    "folder_id": "<string>",
    "last_published_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "reply_variant_activated": true,
    "internal_variant_activated": true,
    "hidden_on_reply": true,
    "hidden_on_internal": true,
    "show_marketing_campaigns_on_reply": true,
    "show_marketing_campaigns_on_internal": true,
    "reply_variant_uuid": "<string>",
    "internal_variant_uuid": "<string>"
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
signature
object
required

Response

Created

data
object
required